#
# spec file for package phonon4qt5-backend-gstreamer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           phonon4qt5-backend-gstreamer
Version:        4.9.0
Release:        1.2
Summary:        Phonon Multimedia Platform Abstraction
License:        LGPL-2.1 or LGPL-3.0
Group:          System/GUI/KDE
Url:            http://phonon.kde.org/
%define filename phonon-backend-gstreamer
%define _phonon4qt5_version 4.9.0
Source:         http://download.kde.org/stable/phonon/%{filename}/%{version}/%{filename}-%{version}.tar.xz
BuildRequires:  alsa-devel
BuildRequires:  cmake
BuildRequires:  kf5-filesystem
BuildRequires:  libxml2-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(phonon4qt5) >= %{_phonon4qt5_version}
Requires:       libphonon4qt5 => %{_phonon4qt5_version}
Supplements:    packageand(gstreamer-plugins-base:phonon4qt5)
Obsoletes:      phonon4qt5-backend-gstreamer-0_10 < %{version}
Provides:       phonon4qt5-backend = %{version}
Provides:       phonon4qt5-backend-gstreamer = %{version}
Provides:       phonon4qt5-backend-gstreamer-0_10 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.

%prep
%setup -q -n phonon-gstreamer-%{version}

%build
  %cmake_kf5 -d build -- -DPHONON_BUILD_PHONON4QT5=ON
  %make_jobs

%install
  %kf5_makeinstall -C build
  # Icons conflict with phonon-gst, so remove them (for now)
  rm -rf %{buildroot}%{_datadir}/icons/*/*/apps/

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_plugindir}/phonon4qt5_backend
%{_kf5_plugindir}/phonon4qt5_backend/phonon_gstreamer.so

%changelog
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 4.9.0
  * No changelog provided
- Drop upstreamed Fix-finding-recent-versions-of-GStreamer.patch
* Fri Nov 20 2015 hrvoje.senjan@gmail.com
- Added Fix-finding-recent-versions-of-GStreamer.patch: search for
  gstreamer in new location since gstreamer >= 1.6
* Sat Dec 27 2014 hrvoje.senjan@gmail.com
- Update to 4.8.2
  * Don't set WA_PaintOnScreen on the OverlayWidget in X11Renderer
    in Qt5 build
  * Make VideoWidget::snapshot work again
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 4.8.1:
  * Prevent call to gst_element_set_state from a streaming thread,
    kde#339511
* Sun Oct 19 2014 hrvoje.senjan@gmail.com
- Update to 4.8.0
  * Use correct RGB color format in QWidgetVideoSink
  * AudioDataOutput: flush m_pendingData when channels count changes,
    kde#331916
- Drop gstreamer_0.10 conditionals, pGST now only supports gstreamer
  1.0 API
* Tue Aug 12 2014 hrvoje.senjan@gmail.com
- Update to 4.7.80
  * 4.8 beta: PA interaction improvements, documentation fixes and
    standard bugfixes
- Bump phonon4qt5 (Build)Requires to 4.7.80
* Fri Jun 20 2014 hrvoje.senjan@gmail.com
- Install license
- Update tarball to latest snapshot
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Adjust filelists to kf5-filesystem changes
* Thu Apr  3 2014 hrvoje.senjan@gmail.com
- Update to 4.7.2~git20140403
  * Gstreamer backend was ported to support Gstreamer 1.0
- Drop the Gstreamer release from the package name. We can now
  building for both Gstreamer releases (0_10 and 1.0)
- Drop patch 0001-Fix-no-return-in-nonvoid-function.patch as that
  this was fixed upstream
* Wed Feb 19 2014 hrvoje.senjan@gmail.com
- Activate phonon4qt5-backend-gstreamer-0_10 package (built against/for
  phonon4qt5). Changes based on phonon-backend-gstreamer-0_10 for
  preserving history
- Move to kf5-filesystem, instead of kde4 one
* Fri Dec  6 2013 hrvoje.senjan@gmail.com
- Update to version 4.7.1
  * Bugfix release
  * Fix gst-install-plugins i18n call
- Dropped bnc846608-gst-install-plugins-helper-i18n-fix.patch, merged
  upstream
- Bump required phonon version to 4.7.1
- Fix Source URL
* Tue Nov 19 2013 i@marguerite.su
- added patch: bnc846608-gst-install-plugins-helper-i18n-fix.patch
  * gst-install-plugins-helper can't display i18n test right for KDE
    applications (bnc#846608)
* Mon Nov  4 2013 hrvoje.senjan@gmail.com
- Update to official 4.7.0 release
  * No source changes since last update
- Add Source URL
* Mon Nov  4 2013 hrvoje.senjan@gmail.com
- Update to 4.7.0~git20131104
  * Buildsystem fixes since previous snapshot
  * Version bump to 4.7.0
* Sun Sep 15 2013 hrvoje.senjan@gmail.com
- Update to 4.6.80~git20130915
  * Snapshot of soon to be released 4.7 version
  * Various improvements, bugfixes, API aditions, documentation fixes
  * Qt5 support
- Added 0001-Fix-no-return-in-nonvoid-function.patch, for fixing build
  issue detected by post-build-checks
* Sat Feb  2 2013 hrvoje.senjan@gmail.com
- Update to 4.6.3
  * bugfix release
  * Increased compatability with Phonon versions older than 4.7
  * Proper setting of the user-agent for HTTP streams
  * Abortion of in-progress fades when a fader effect is asked to
    fade again
  * Less CPU hogging when streaming
  * Fixed playback of discs on multi-drive setups
  * Much improved non-gapless playback for shorter sound files
  * Graceful handling of a broken setup that causes a failed
    gst_init() call
* Sun Nov 25 2012 cgiboudeaux@gmx.com
- Fix the SLES build (%%make_install doesn't exist)
* Tue Aug 14 2012 nico.kruber@gmail.com
- Update to 4.6.2 release
  * bugfix release
  * addresses some bugs related to gapless playback
- removed PHONON_GSTREAMER_46_BRANCH.diff (included in release)
* Mon Aug  6 2012 wstephenson@suse.com
- Update to 4.6.1 release
  * Correctly save and resume states when fiddling with the
    pipeline during playback (kde#297596, kde#302506)
  * Fix metadata emission for http urls (kde#272243)
  * Various memory leaks removed
  * Crash fixes (kde#296606,kde#279791)
  * Fixed random freezes related to gapless playback
  * More useful debug output via the PHONON_BACKEND_DEBUG
    environment variable
- Add branch diff improving gapless fix
* Tue Mar 20 2012 cornelis@solcon.nl
- Update to 4.6.0 release
  * fix endless looping of KDE audio notifications
  * Fix for volume fading
  * Fix for VideoWidget
- Removed patch to fix build, part of 4.6.0
* Tue Jan  3 2012 cgiboudeaux@gmx.com
- Update to 4.6RC1
  * Gapless playback
  * Improved subtitles
  * Misc fixes in audio fade in and out
  * Fixes to KIO streaming
  * A handful of fixed memory leaks
  * Multichannel AudioDataOutput support
  * Thread safety!
  * Removed a hard dependency on ALSA
  * Lots of lines of code wiped out
  * Usage of playbin2 in GStreamer insead of a fragile, hand-made pipeline
  * More debugging tools fort us
  * More plugin installation fixes
- Apply commit cf8f37 from upstream to build the backend with Phonon 4.6
* Fri Oct 14 2011 coolo@suse.com
- stop the tick timer when the sound is paused, saves battery
* Tue Aug 23 2011 dev@dominik-schmidt.de
- phonon version and phonon-gstreamer version are not necessarily
  the same, currently the package is uninstallable
* Sun Aug 14 2011 toddrme2178@gmail.com
- update to 4.5.1:
  * Fix broken plugin installation for certain cases
  * Quick fix for corrupted GStreamer registries
- Added desktop file update macro
- Cleaned up spec file formatting
* Sun Apr 10 2011 toddrme2178@gmail.com
- update to 4.5.0:
  * Fixed DVD playback
  * DVD menu navigation
  * Keyboard navigation of DVD menus
  * Subtitles
  * Various behind-the-scenes improvements
* Thu Jan 13 2011 toddrme2178@gmail.com
- update to 4.4.4
- split off xine and gstreamer backends to their own packages
* Thu Nov 25 2010 dmueller@suse.de
- update to 4.4.3:
  * final release tarball
  * small gstreamer backend fixes
  * ABI fix in experimental API
* Tue Aug 17 2010 tittiatcoke@gmail.com
- update to a newer snapshot of 4.4.3
  * Set device access list for pulse devices
  * Introduce Phonon::DeviceAccessList from the KDE Platform plugin
  * Experimental feature: AVCapture
* Mon Jul 19 2010 tittiatcoke@gmail.com
- Update to a newer snapshot of 4.4.3
* Mon Jun  7 2010 dmueller@suse.de
- update to 4.4.2:
  * merged the diff to master into the version
* Tue May 11 2010 dmueller@suse.de
- add diff to current master to fix pulseaudio regression (bnc#604046)
* Wed May  5 2010 dmueller@suse.de
- update to 4.4.1:
  * merged symbian fixes
  * improved pulseaudio support
* Fri Mar 26 2010 tittiatcoke@gmail.com
- Added a patch (upstream/Colin Cuthrie) to prevent an endless loop
  when pulseaudio is not installed
* Wed Mar 24 2010 per@osbeck.com
- add BuildRequires for proper pulseaudio support
* Mon Mar 15 2010 dmueller@suse.de
- update to 4.4.0:
  * bugfixes
  * improved video recording/playback
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Fri Dec  4 2009 dmueller@suse.de
- update to 4.3.80:
  + one header bugfix compared to previous update
* Mon Nov 23 2009 tittiatcoke@gmail.com
- updated to svn1052215
  + add the 'file://' scheme to urls that don't have it, so
    gstreamer doesn't complain on pathnames with characters that
    get percent-endoded.
  + make the xine backend work with local files with filenames
    wrongly encoded/with mixed encodings.
  + Add initial support for DVD Support
  + [Gstreamer] Fix changing audio track
  + Xine has equalizer functionality which is used in Amarok
* Tue Oct 20 2009 adrian@suse.de
- split plugins away in own spec file, this avoids build triggers
  from gnome or xine framework to entire KDE
- minor spec file cleanup (remove support of outdated distros)
* Wed May 13 2009 dmueller@suse.de
- add versioned dependencies
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.3.1:
  * sync with the version in Qt 4.5.0, various bugfixes
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.3.0:
  * Qt 4.5 fixes
  * fix volume handling / volume fader
* Mon Jan 12 2009 dmueller@suse.de
- update to 4.2.96:
  * new phonon backend without KDE dependencies
  * other improvements necessary for KDE 4.2
* Fri Jan  9 2009 llunak@suse.cz
- patch for ogg support (bnc#438718)
* Tue Oct 21 2008 dmueller@suse.de
- add versioned requires on libphonon4
* Wed Sep 10 2008 dmueller@suse.de
- fix build for older distros
* Tue Jul 22 2008 dmueller@suse.de
- update to 4.2.0:
  * bugfixes
* Thu Jul  3 2008 aj@suse.de
- Add baselibs.conf for libphonon.
* Thu Jul  3 2008 dmueller@suse.de
- enable gstreamer-010 based backend
* Fri Jun 20 2008 dmueller@suse.de
- update to 4.1.83:
  * more bugfixes, reworked audio device handling
* Tue May 27 2008 dmueller@suse.de
- Initial package (4.1.81)
